lv.eparaksts.tsl

## Class TrustedListResult

- java.lang.Object
- - lv.eparaksts.tsl.TrustedListResult

- All Implemented Interfaces:
    Serializable

      public class TrustedListResult
      extends Object
      implements Serializable

  Represents a Trusted List loading result.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrustedListResult(TrustedListPointer pointer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrustedListException` | `getException()`
    `long` | `getLastUpdateTime()`
    `String` | `getTerritory()`
    `TrustedList` | `getTrustedList()`
    `protected byte[]` | `getTrustedListData()`
    `protected byte[]` | `getTrustedListDataDigest()`
    `String` | `getUrl()`
    `boolean` | `isValidAt(Date validationDate)`
    `protected void` | `setException(TrustedListException exception)`
    `protected void` | `setLastUpdateTime(long lastUpdateTime)`
    `protected void` | `setTrustedList(TrustedList trustedList)`
    `protected void` | `setTrustedListData(byte[] trustedListData)`
    `protected void` | `setTrustedListDataDigest(byte[] trustedListDataDigest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustedListResult

          protected TrustedListResult(TrustedListPointer pointer)

  - ### Method Detail

    - #### getUrl

          public String getUrl()

    - #### getTerritory

          public String getTerritory()

    - #### getLastUpdateTime

          public long getLastUpdateTime()

    - #### setLastUpdateTime

          protected void setLastUpdateTime(long lastUpdateTime)

    - #### getTrustedListData

          protected byte[] getTrustedListData()

    - #### setTrustedListData

          protected void setTrustedListData(byte[] trustedListData)

    - #### getTrustedListDataDigest

          protected byte[] getTrustedListDataDigest()

    - #### setTrustedListDataDigest

          protected void setTrustedListDataDigest(byte[] trustedListDataDigest)
                                           throws Exception

      Throws:
        `Exception`

    - #### getTrustedList

          public TrustedList getTrustedList()

    - #### setTrustedList

          protected void setTrustedList(TrustedList trustedList)

    - #### getException

          public TrustedListException getException()

    - #### setException

          protected void setException(TrustedListException exception)

    - #### isValidAt

          public boolean isValidAt(Date validationDate)

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO